> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canton.network/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/internal/reward-accounting-process/rounds/:round_number/activity-totals

> SV node internal API (CIP-0104, subject to change).
Return the CIP-0104 per-round activity totals for the
specified round number.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals:
    get:
      tags:
        - internal
        - scan
      summary: >-
        GET
        /v0/internal/reward-accounting-process/rounds/:round_number/activity-totals
      description: |
        SV node internal API (CIP-0104, subject to change).
        Return the CIP-0104 per-round activity totals for the
        specified round number.
      operationId: getRewardAccountingActivityTotals
      parameters:
        - name: round_number
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRewardAccountingActivityTotalsResponse'
components:
  schemas:
    GetRewardAccountingActivityTotalsResponse:
      type: object
      oneOf:
        - $ref: '#/components/schemas/RewardAccountingActivityTotalsOk'
        - $ref: '#/components/schemas/RewardAccountingActivityTotalsUndetermined'
        - $ref: '#/components/schemas/RewardAccountingActivityTotalsCannotProvide'
      discriminator:
        propertyName: status
        mapping:
          Ok:
            $ref: '#/components/schemas/RewardAccountingActivityTotalsOk'
          Undetermined:
            $ref: '#/components/schemas/RewardAccountingActivityTotalsUndetermined'
          CannotProvide:
            $ref: '#/components/schemas/RewardAccountingActivityTotalsCannotProvide'
    RewardAccountingActivityTotalsOk:
      type: object
      required:
        - status
        - round_number
        - total_app_activity_weight
        - active_parties_count
        - activity_records_count
        - total_app_reward_minting_allowance
        - total_app_reward_thresholded
        - total_app_reward_unclaimed
        - rewarded_app_provider_parties_count
      properties:
        status:
          type: string
        round_number:
          type: integer
          format: int64
        total_app_activity_weight:
          type: integer
          format: int64
        active_parties_count:
          type: integer
          format: int64
        activity_records_count:
          type: integer
          format: int64
        total_app_reward_minting_allowance:
          type: string
          description: >-
            The total of all minting allowances granted to app providers in this
            round.
        total_app_reward_thresholded:
          type: string
          description: >-
            Total amount of minting allowances that fell below the configured
            app reward threshold and was thus burned.
        total_app_reward_unclaimed:
          type: string
          description: >-
            Total amount of app rewards which could not be attributed to app
            providers in this round because of limit on app rewards per activity
            (aka the app rewards cap).
        rewarded_app_provider_parties_count:
          type: integer
          format: int64
    RewardAccountingActivityTotalsUndetermined:
      type: object
      required:
        - status
      properties:
        status:
          type: string
    RewardAccountingActivityTotalsCannotProvide:
      type: object
      required:
        - status
      properties:
        status:
          type: string

````